Ubuntu: How to report kernel issues



Question:

This is a followup to this other thread: USB ports not working all of a sudden

I'm working on an Acer Aspire E 15, with the OS being Ubuntu Studio 14.04.

I noticed that the last kernel version:

Linux version 3.13.0-63-lowlatency (buildd@lgw01-18) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #103-Ubuntu SMP PREEMPT Fri Aug 14 22:23:32 UTC 2015  

This one is giving certain issues to my computer (USB ports don't work). The last kernel version that always works is this one:

Linux version 3.13.0-61-generic (buildd@lgw01-50) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #100-Ubuntu SMP Wed Jul 29 11:21:34 UTC 2015  

I guess there is a sort of incompatibility with Acer Aspire E 15 computers, and I'd like to report this problem because of course I hope that the next kernel versions to be released will solve it. Also, I'm worried about what could happen in case this kernel version (3.13.0-61, the last working one) gets purged being old, maybe via and accidental autoremove.

I checked this other thread: How to report a bug on a different issue?. It suggests that I should use ubuntu-bug, but I don't know what option to click on to report this kind of issue.


Solution:1

  • Are you sure 3.13.0-63-generic is not working?

    You have tried 3.13.0-63-lowlatency (-lowlatency) which is different then -generic

  • Please,read this Filing Kernel Bug reports (Ubuntu Wiki).

    The submitter should provide as much information as possible in the bug description:

    1. The majority of kernel bug are hardware specific so be sure to note what hardware/device is being used.
    2. Document any known steps to reproduce the bug.
    3. Also note whether the bug exists in previous kernel versions of Ubuntu or if it's a regression from previous kernel versions.
    4. Finally, it's critical to also make sure to test the latest development Ubuntu kernel version as well as the latest upstream mainline kernel.

    Before trying last upstream one, try linux-generic-lts-vivid which is from Ubuntu 15.04 (last release). It's already in Trusty repository:

    sudo apt-get install linux-generic-lts-vivid  


Solution:2

To solve this issue I upgraded to Ubuntu Studio 15.04. Once done the upgrade, I didn't have this issue anymore.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »